#include <stdio.h>

/* MX Generated headers */
#include "gpio.h"
#include "main.h"
#include "rtc.h"
#include "subghz.h"
#include "usart.h"

extern void SystemClock_Config(void);

int main(void) {
    /* HAL */
    HAL_Init();

    /* Hardware initialization */
    MX_GPIO_Init();
    SystemClock_Config();
    MX_RTC_Init();
    MX_LPUART1_UART_Init();
    MX_SUBGHZ_Init();

    printf("Initialization completed.\r\n");

    for (;;) {
        /* -- */
    }
}